unit GX_uClassBrowserOptions;

interface

//! StH: This unit has been completely prepared for localization
//! StH: This unit is fully compatible with C++ Builder

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ComCtrls, SpinIntEdit;

type
  TfmClassBrowserOptions = class(TForm)
    btnCancel: TButton;
    btnOK: TButton;
    pcClassOptions: TPageControl;
    tshGeneric: TTabSheet;
    tshFilters: TTabSheet;
    gbxFonts: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    gbxFiles: TGroupBox;
    Label1: TLabel;
    edStorage: TEdit;
    sbStoragePath: TSpeedButton;
    gbxFilters: TGroupBox;
    cbConstants: TCheckBox;
    cbMethods: TCheckBox;
    cbTypes: TCheckBox;
    cbVariables: TCheckBox;
    cbProperties: TCheckBox;
    cbPrivate: TCheckBox;
    cbProtected: TCheckBox;
    cbPublic: TCheckBox;
    cbPublished: TCheckBox;
    gbxDiagram: TGroupBox;
    cbTop: TCheckBox;
    Label4: TLabel;
    cbTreeView: TComboBox;
    cbListView: TComboBox;
    cbEditor: TComboBox;
    sTreeView: TSpinIntEdit;
    sListView: TSpinIntEdit;
    sEditor: TSpinIntEdit;
    cbStayInPackage: TCheckBox;
    gbxSearch: TGroupBox;
    cbParseRecursing: TCheckBox;
    cbAutoHide: TCheckBox;
    procedure sbStoragePathClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

uses
  GX_uGenFunc;

procedure TfmClassBrowserOptions.sbStoragePathClick(Sender: TObject);
var
  Temp: string;
begin
  Temp := edStorage.Text;
  if GetDir(Self, Temp) then
    edStorage.Text := AddSlash(Temp);
end;

procedure TfmClassBrowserOptions.FormCreate(Sender: TObject);
begin
  cbTreeView.Items.Assign(Screen.Fonts);
  cbListView.Items.Assign(Screen.Fonts);
  cbEditor.Items.Assign(Screen.Fonts);
end;

end.
