unit GX_uProjOptOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TfmProjOptOptions = class(TForm)
    lblStoragePath: TLabel;
    edPath: TEdit;
    sbBrowse: TSpeedButton;
    btnOK: TButton;
    btnCancel: TButton;
    procedure sbBrowseClick(Sender: TObject);
  private
    { Private declarations }
    function  GetPath: string;
    procedure SetPath(const Value: string);
  public
    { Public declarations }
    property Path : string read GetPath write SetPath;
  end;

implementation

{$R *.DFM}

uses
  GX_uGenFunc;

function TfmProjOptOptions.GetPath: string;
begin
  Result := AddSlash(edPath.Text);
end;

procedure TfmProjOptOptions.sbBrowseClick(Sender: TObject);
var
  Temp: string;
begin
  Temp := edPath.Text;
  if GetDir(Self, Temp) then
    edPath.Text := AddSlash(Temp);
end;

procedure TfmProjOptOptions.SetPath(const Value: string);
begin
  edPath.Text := Value;
end;

end.
